#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "makeImage.h"
#include <time.h>

int my_read_file(char *filename,char *buf,int size)
{
	FILE *fp;
	int len=0;
	if((fp=fopen(filename,"rb"))==NULL){
		fprintf(stderr,"Error opening %s for output\n",filename);
		exit(-1);
	}
	fseek(fp,0,SEEK_END);
	len=ftell(fp);
	
	if(len > size){
		fclose(fp);
		fprintf(stderr,"Sorry, %s must less than %d\n", filename,size);
		exit(-1);
	}
	fseek(fp, 0L, SEEK_SET);
	len=fread(buf,1,size,fp);
	fclose(fp);
	if(len > 1024)
		printf("%s read %d kbytes maximum %d kbytes\n",filename,len/1024,size/1024);
	else
		printf("%s read %d bytes maximum %d bytes\n",filename,len, size);	
		
	return len;
}

int flen(FILE *fp)
{
	int tmp=0,len=0;
	tmp=ftell(fp);
	fseek(fp,0,SEEK_END);
	len=ftell(fp);
	fseek(fp,tmp,0);
	return len;
}

int main(int argc,char **argv)
{
	FILE	*fp;
	
	char *loader = malloc(LOADER_SIZE);
	char *kernel = malloc(KERNEL_SIZE);
	char *fs     = malloc(FS_SIZE);
	int 	len=0;
	char 	pid[PID_SIZE], filename[64];
	time_t timep;
    struct tm *p;
    
	memset(loader,0xff,LOADER_SIZE);
	memset(fs,0xff,FS_SIZE);
	memset(kernel,0xff,KERNEL_SIZE);
	memset(pid, 0, PID_SIZE);
	memset(filename,0x00,sizeof(filename));

	if (argc != 6){
		printf("Usage: %s $(HW_ID) $(VERSION) $(COMPANY) $(ANNEX) $(LANG)\n", argv[0]);
		return -1;
	}

#ifdef BCM53724
	my_read_file("cfe.BCM53724.bin", loader, LOADER_SIZE);	
#else
#ifdef BCM53322
	my_read_file("cfe.BCM5322x.bin", loader, LOADER_SIZE);	
#else
	my_read_file("cfe.BCM5331x.bin", loader, LOADER_SIZE);	
#endif	
#endif	
	my_read_file("vmlinuz", kernel, KERNEL_SIZE);	
	len = my_read_file("fs.bin", fs, FS_SIZE);

	my_read_file("PID",pid,PID_SIZE);	

	// memset(&loader[LOADER_SIZE-0x80],0,0x80);
	memset(loader+LOADER_SIZE-0x80,0,0x80);
	// memcpy(&loader[LOADER_SIZE-0x80],pid,sizeof(pid));
	memcpy(loader+LOADER_SIZE-0x80,pid,PID_SIZE);

	// printf("File Total length %d\n", fpid->strlen);
    time(&timep);
    p=localtime(&timep);
    
	sprintf(filename,"%s_%s_Logo%d_%d_%d_%d_%d_%d.img", PJN, VER, LOGO, 
	    (1900+p->tm_year),(1+p->tm_mon), p->tm_mday, p->tm_hour, p->tm_min);	
 
	fp=fopen(filename,"wb");	
	
	if(fp==NULL){
		fprintf(stderr,"Error opening %s for output\n",argv[0]);
		return -1;		
	}
	
	fwrite(loader,LOADER_SIZE,1,fp);	
	fwrite(kernel,KERNEL_SIZE,1,fp);
	fwrite(fs,len,1,fp);	
	fclose(fp);
	
	return 0;
}
