#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "makeImage.h"

u_int8_t *encode_pid(char *annex,int func, char *company)
{
	u_int8_t *p_id;
	p_id = malloc(4);
	
	if(p_id == NULL)
			printf("[%s,%d] malloc memory fail!\n", __FUNCTION__,__LINE__);
				
	p_id[0] = *annex;
	p_id[1] = func;
	p_id[2] = company[0];
	p_id[3] = company[1];
	
	return p_id;
}

u_int8_t *encode_version(char * ver)  
{
	u_int8_t *version;
	int  comb, major, minor;
	
//	printf("[%s,%d] version is %s\n", __FUNCTION__,__LINE__, ver);
	sscanf(ver,"%d.%d.%d",&comb,&major,&minor);
//	printf("[%s,%d] comb is %d, major is %d, minor is %d\n", __FUNCTION__,__LINE__, comb, major, minor);
	
	version = malloc(2);
	if(version == NULL)
			printf("[%s,%d] malloc memory fail!\n", __FUNCTION__,__LINE__);
			
	version[0]=((comb & 0x0F) << 4) + (major &0x0F);
	version[1]=minor;
//	printf("[%s,%d] version[0] is %d, version[1] is %d\n", __FUNCTION__,__LINE__, version[0], version[1]);
	
	return version;
}

int main(int argc, char **argv) 
{
	product_pid_t pid;
	FILE *fp;
	u_int8_t magic[] = "HENRICH";

	if (argc < 5) {
		fprintf(stderr, "\nUsage: %s HW_ID FW_version Company Function\n", argv[0]);
		fprintf(stderr, "HW_ID: a string less than 32 bytes\n");
		fprintf(stderr, "FW_version format: A0.00.00\n");
		fprintf(stderr, "Company: 00 - ZZ\n");
		fprintf(stderr, "Function: 0:router 1:bridge 2:vpn 3:mpvc\n");
		return -1;
	}
		
	fp=fopen("PID","w");
	
	if(fp==NULL){
		fprintf(stderr,"Can not open %s\n","PID");
		return -1;
	}
	
	bzero(&pid,sizeof(product_pid_t));
	memcpy(pid.magic_s, magic, sizeof(pid.magic_s));
	memcpy(pid.magic_e, magic, sizeof(pid.magic_e));
	memcpy(pid.hw_id, argv[1], strlen(argv[1]));
	memcpy(pid.fw_ver, encode_version(argv[2]), sizeof(pid.fw_ver));
	memcpy(pid.p_id, encode_pid(argv[5], atoi(argv[4]), argv[3]), sizeof(pid.p_id));

	fwrite(&pid,sizeof(product_pid_t),1,fp);
	fclose(fp);
	return 0;
}

