/*
 * drivers/misc/timer_test.c
 * Marvel MV64460 timer test driver.
 *
 * Author:  Majid Khan M Z, (amm117@motorola.com).
 * Copyright 
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 */

#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/init.h>
#include "mv64460_timer.h"

#define DRV_NAME "mv64x60_timer"
#define DRV_VERSION "1.0"

mv64x60_timer_f func;

int timer_number = 0; 
module_param(timer_number,int,0);
MODULE_PARM_DESC(timer_number, "timer number(default timer=0)");

unsigned long microseconds = 1000000; /*1 sec*/
module_param(microseconds,long,0);
MODULE_PARM_DESC(microseconds, "timer value(period) to be programmed into timer register(default 1 second)");

int periodic = 0; /* for one shot timer*/
module_param(periodic, int,0);
MODULE_PARM_DESC(periodic, "timer can be periodic(periodic=1) or one shot timer(periodic=0) (default one shot timer)");


void mv64x60_timer_test_func(void *data)
{
	printk("\ngot the timer(%d) interrupt\n", ((int *)data)[0]);
	
}
static int  __init mv64x60_timer_test_init (void)
{
	int data[] = {1,2,3,4};

	func = mv64x60_timer_test_func;
	printk(KERN_INFO DRV_NAME " version " DRV_VERSION "\n");

	if(mv64x60_timer_start(timer_number, microseconds, func, &data[timer_number], periodic))
		return (-EINVAL); 

	return (0);
}

static void __exit mv64x60_timer_test_exit (void)
{
	printk(KERN_INFO "unloading the timer test driver\n");
	mv64x60_timer_stop(timer_number);
}

module_init(mv64x60_timer_test_init);
module_exit(mv64x60_timer_test_exit);

MODULE_AUTHOR("Majid Khan M Z<amm117@motorola.com>");
MODULE_DESCRIPTION("Marvell(MV64x60) timer test driver");
MODULE_LICENSE("GPL");

