#ifndef _MPC5200_RTC_H_
#define _MPC5200_RTC_H_

/* RTC */
struct mpc52xx_rtc {
	u8	set_time;	/* RTC + 0x00 */
	u8	hour_set;	/* RTC + 0x01 */
	u8	minute_set;	/* RTC + 0x02 */
	u8	second_set;	/* RTC + 0x03 */

	u8	set_date;	/* RTC + 0x04 */
	u8	month_set;	/* RTC + 0x05 */
	u8	weekday_set;	/* RTC + 0x06 */
	u8	date_set;	/* RTC + 0x07 */

	u8	write_sw;	/* RTC + 0x08 */
	u8	sw_set;		/* RTC + 0x09 */
	u16	year_set;	/* RTC + 0x0a */

	u8	alm_enable;	/* RTC + 0x0c */
	u8	alm_hour_set;	/* RTC + 0x0d */
	u8	alm_min_set;	/* RTC + 0x0e */
	u8 	int_enable;	/* RTC + 0x0f */

	u8	reserved1;
	u8	hour;		/* RTC + 0x11 */
	u8	minute;		/* RTC + 0x12 */
	u8	second;		/* RTC + 0x13 */

	u8	month;		/* RTC + 0x14 */
	u8	wday_mday;	/* RTC + 0x15 */
	u16	year;		/* RTC + 0x16 */

	u8	int_alm;	/* RTC + 0x18 */
	u8	int_sw;		/* RTC + 0x19 */
	u8	alm_status;	/* RTC + 0x1a */
	u8	sw_minute;	/* RTC + 0x1b */

	u8	bus_error_1;	/* RTC + 0x1c */
	u8	int_day;	/* RTC + 0x1d */
	u8	int_min;	/* RTC + 0x1e */
	u8	int_sec;	/* RTC + 0x1f */

	u8	pterm;		/* RTC + 0x20 */
	u8	eterm;		/* RTC + 0x21 */
	u16	reserved2;
};

#endif /* _MPC5200_RTC_H_ */
